Menu

## DeathEvent extends BattleEvent
in package

DeathEvent.php : 12

BattleEvent representing a fighter's death.

### Table of Contents

$victim : mixed
$applied : mixed
__construct() : mixed
  Construct a DeathEvent for victim $victim.
apply() : mixed
  Applies the event.
decorate() : string
  Returns a string describing the event.

### Properties

#### $victim

DeathEvent.php : 14
`protected mixed $victim`

#### $applied

BattleEvent.php : 14
`private mixed $applied = false`

### Methods

#### __construct()

DeathEvent.php : 20

Construct a DeathEvent for victim $victim.

`public __construct(FighterInterface $victim) : mixed`

##### Parameters

$victim : FighterInterface

##### Return values

mixed —

#### apply()

DeathEvent.php : 28

Applies the event.

`public apply() : mixed`

##### Tags

inheritDoc

##### Return values

mixed —

#### decorate()

DeathEvent.php : 35

Returns a string describing the event.

`public decorate(Game $game) : string`

##### Parameters

$game : Game

##### Tags

inheritDoc

##### Return values

string —

## Search results